Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Additional fields and methods of the HopObject class.
Methods
HopObject. getAccessName(obj, maxLength)
Constructs a name from an object which is unique in the underlying HopObject collection.
parameters

Object

obj

The object representing or containing the alias name. Possible object types include:

- File
- helma.File
- java.io.File
- String
- java.lang.String
- Packages.helma.util.MimePart

Number | maxLength | The maximum length of the alias

returns

| The resulting alias

HopObject. isTransient()
Returns true if the internal state of this HopObject is TRANSIENT.
returns

| True if this HopObject is marked as transient, false otherwise.

HopObject. isVirtual()
Returns true if the internal state of this HopObject is VIRTUAL.
returns

| True if this HopObject is marked as virtual, false otherwise.

HopObject. isInvalid()
Returns true if the internal state of this HopObject is INVALID.
returns

| True if this HopObject is marked as invalid, false otherwise.

HopObject. isClean()
Returns true if the internal state of this HopObject is CLEAN.
returns

| True if this HopObject is marked as clean, false otherwise.

HopObject. isNew()
Returns true if the internal state of this HopObject is NEW.
returns

| True if this HopObject is marked as new, false otherwise.

HopObject. isModified()
Returns true if the internal state of this HopObject is MODIFIED.
returns

| True if this HopObject is marked as modified, false otherwise.

HopObject. isDeleted()
Returns true if the internal state of this HopObject is DELETED.
returns

| True if this HopObject is marked as deleted, false otherwise.

Tue, 25 Nov 2008 16:50:11 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar